/* ============================ */
/* = DEFINITIONS :  CDSCF.H   = */
/* ============================ */
#include <dir.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <dos.h>
#include <fcntl.h>
#include <sys\stat.h>
#include <io.h>

#ifndef _CDSCF_H_
#define _CDSCF_H_		/* define du header si n'existe pas */

#define VERSION         "0.3a"

#define SWITCH		'-'
#define FILE_SRC 	'g' // 0 nom generic d'entree par defaut DSCF0000.JPG
#define FILE_DES	'p' // 1 nom generic de sortie par defaut DSCF0000.JPG
#define DIR_SRC	's' // 2 repertoire source
#define DIR_DES	'd' // 3 repertoire destination
#define FILE_EXT	'e' // 4 extension du fichier
#define ALL_IMG	'a' // 5 traite l'ensemble du repertoire & sous-repertoire
#define FILL_0  	'z' // 6 complete le nom avec des zeros
#define N_IDX		'i' // 7 numero index initial
#define N_RCRS		'r' // pas de recursivite
#define TWC_HLP	99

#define LGMAXFNAME	9
#define LGMAXEXT		5
#define LGMAXPATH		256

#ifdef __cplusplus
extern "C" {
#endif
/* =================================== */
/* = STRUCTURE DES DONNEES A TRAITER = */
/* =================================== */
typedef struct {
	char F_SRC[LGMAXFNAME];		/* nom generique en entree */
	char F_DES[LGMAXFNAME];    /* nom generique en sortie */
	char D_SRC[LGMAXPATH];   	/* nom repertoire source   */
	char D_DES[LGMAXPATH];   	/* nom repertoire destination */
	char F_EXT[LGMAXEXT];	   /* extension des fichers a traiter */
	int  cmpt;						/* compteur */
	int  F_Z;						/* flag */
	int  NO_RECRS;					/* flag */
	char ONAME[LGMAXPATH];		/* buffers de traitement */
	char INAME[LGMAXPATH];		/*    ""       ""     "  */
} DSCF;

/* =========================== */
/* = PROTOTYPES DE FONCTIONS = */
/* =========================== */

void aff_hlp(void);								/* Affhelp.c */
int init_str(DSCF *, int, char *);			/* initstr.c */
void val_dta(DSCF *);							/* valdta.c */
void scan_dir2(DSCF *);							/* scandir2.c */
int copy_dscf(DSCF *);							/* copydscf.c */
void aff_dta(DSCF *);							/* affdta.c */
void copy_dta(DSCF *,DSCF *);					/* copydta.c */
int liste_file(DSCF *);							/* listefile.c */
void init_dta(DSCF *);							/* initdta.c */
int litarg(int nlst,char *lst[],DSCF *);	/* litarg.c */

#ifdef __cplusplus
}
#endif
#endif								/* fin de _CDSCF_H_ */

